"use strict";
this.name				= "Equipment Award";
this.author				= "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Custom equipment award conditions";
this.version				= "2.7";

this.allowAwardEquipment = function(equipment, ship, context)
    {
	if (equipment == "EQ_MISSILE")
        {
		if (player.bounty > 0)
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_CARGO_BAY")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_ECM")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_FUEL_SCOOPS")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_ESCAPE_POD")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_ENERGY_UNIT")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_DOCK_COMP")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_GAL_DRIVE")
        {
		if ((player.bounty > 0) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_WEAPON_NONE")
        {
        return player.ship.dockedStation.isMainStation;        
        }
	if (equipment == "EQ_WEAPON_PULSE_LASER")
        {
		if (player.bounty > 0)
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_WEAPON_BEAM_LASER")
        {
		if ((player.bounty > 0) || (player.score < 16))
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_WEAPON_MINING_LASER")
        {
		if (player.bounty > 5)
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_WEAPON_MILITARY_LASER")
        {
		if ((player.bounty > 0) || (player.score < 64))
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_PASSENGER_BERTH")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_PASSENGER_BERTH_REMOVAL")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_MISSILE_REMOVAL")
        {
        return player.ship.dockedStation.isMainStation;        
        }
	if (equipment == "EQ_HARDENED_MISSILE")
        {
		if (player.bounty > 0)
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_FUEL_INJECTION")
        {
		if ((player.bounty > 0) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_SCANNER_SHOW_MISSILE_TARGET")
        {
		if ((player.bounty > 0) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_MULTI_TARGET")
        {
		if ((player.bounty > 0) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_ADVANCED_COMPASS")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_TARGET_MEMORY")
        {
		if ((player.bounty > 0) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_INTEGRATED_TARGETING_SYSTEM")
        {
		if ((player.bounty > 0) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_QC_MINE")
        {
		if (player.bounty > 0)
            {
			return false;
            }
        else
            {
            return player.ship.dockedStation.isMainStation;        
            }
        }
	if (equipment == "EQ_SHIELD_BOOSTER")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_NAVAL_SHIELD_BOOSTER")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_HEAT_SHIELD")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_WORMHOLE_SCANNER")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
	if (equipment == "EQ_RENOVATION")
        {
		if ((player.bounty > 5) && (player.ship.dockedStation.isMainStation == true))
            {
			return false;
            }
        else
            {
            return true;
            }
        }
    }
